javax.xml.bind.annotation.adapters

## Class XmlJavaTypeAdapter.DEFAULT

- java.lang.Object
- - javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter.DEFAULT

- Enclosing class:
    XmlJavaTypeAdapter

      public static final class XmlJavaTypeAdapter.DEFAULT
      extends Object

  Used in `XmlJavaTypeAdapter.type()` to signal that the type be inferred from the signature of the field, property, parameter or the class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlJavaTypeAdapter.DEFAULT()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlJavaTypeAdapter.DEFAULT

          public XmlJavaTypeAdapter.DEFAULT()

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2019, Oracle and/or its affiliates. All rights reserved.